Skip to main content
POST
/
v1
/
users
/
{user_id}
/
connections
/
{toolkit}
/
execute
Execute a tool
curl --request POST \
  --url https://api.usenaive.ai/v1/users/{user_id}/connections/{toolkit}/execute \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "tool": "GMAIL_SEND_EMAIL",
  "arguments": {},
  "connected_account_id": "<string>"
}
'
{
  "toolkit": "<string>",
  "toolSlug": "<string>",
  "successful": true,
  "error": "<string>",
  "data": {},
  "logId": "<string>"
}

Authorizations

Authorization
string
header
required

Workspace API key. Create one via the dashboard or POST /v1/auth/keys.

Path Parameters

user_id
string
required

Tenant user UUID, or default / me for the operator's default user.

toolkit
string
required

Body

application/json
tool
string
required
Example:

"GMAIL_SEND_EMAIL"

arguments
object
connected_account_id
string

Response

Executed.

toolkit
string
toolSlug
string
successful
boolean
error
string | null
data
object
logId
string